# %L_MYOBJECT%.mak
# A hand-coded make file created by Project Smarts on %DATE%.
# Do not overwrite this file.  This make file was not generated
# using MakeMake.
#
# The actions included in this makefile are:
#  Compile::SOM Compiler
#  Compile::C++ Compiler
#  Link::Linker

.SUFFIXES: .IDL .c .obj 

.all: \
    %L_MYOBJECT%.dll

.IDL.ih:
    @echo " Compile::SOM Compiler "
    sc.exe -p -mnoint %s

.IDL.def:
    @echo " Compile::SOM Compiler "
    sc.exe -p -mnoint %s

.IDL.h:
    @echo " Compile::SOM Compiler "
    sc.exe -p -mnoint %s

.IDL.c:
    @echo " Compile::SOM Compiler "
    sc.exe -p -mnoint %s

.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Gm /Ge- /Ms /Fo"%|dpfF.obj" /C %s

%L_MYOBJECT%.dll: \
    %L_MYOBJECT%.obj \
    {$(LIB)}somtk.lib \
    %L_MYOBJECT%.def
    @echo " Link::Linker "
    icc.exe @<<
     /B" /noe"
     /Fe%L_MYOBJECT%.dll 
     somtk.lib 
     %L_MYOBJECT%.def
     %L_MYOBJECT%.obj
<<

%L_MYOBJECT%.c %L_MYOBJECT%.ih %L_MYOBJECT%.def %L_MYOBJECT%.h: \
    %L_MYOBJECT%.IDL

%L_MYOBJECT%.obj: \
    %L_MYOBJECT%.c \
    {.;$(INCLUDE);}%L_MYOBJECT%.ih
